Bug 198346 - [PATCH] security/chntpw: Replace deprecated des_ methods and fix LibreSSL build
Summary: [PATCH] security/chntpw: Replace deprecated des_ methods and fix LibreSSL build
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Thomas Zander
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-03-06 10:38 UTC by Bernard Spil
Modified: 2015-04-04 12:20 UTC (History)
2 users (show)

See Also:
riggs: maintainer-feedback+


Attachments
svn diff for security/chntpw (4.24 KB, patch)
2015-03-06 10:39 UTC, Bernard Spil
no flags Details | Diff
Poudriere build log of security/chntpw (31.58 KB, text/plain)
2015-03-06 10:39 UTC, Bernard Spil
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Spil freebsd_committer 2015-03-06 10:38:49 UTC
security/chntpw uses deprecated des_ methods and types that were marked deprecated by OpenSSL 0.9.7 and will be removed in OpenSSL 1.1.0 . This patch replaces the des_ methods and types with their new DES_ counterparts.

Notified upstream via email (and spotted that there's a new version released 2014-02)
Comment 1 Bernard Spil freebsd_committer 2015-03-06 10:39:14 UTC
Created attachment 153888 [details]
svn diff for security/chntpw
Comment 2 Bernard Spil freebsd_committer 2015-03-06 10:39:58 UTC
Created attachment 153889 [details]
Poudriere build log of security/chntpw
Comment 3 buganini 2015-03-12 07:00:45 UTC
Approved, thanks
Comment 4 commit-hook freebsd_committer 2015-04-04 12:19:54 UTC
A commit references this bug:

Author: riggs
Date: Sat Apr  4 12:19:16 UTC 2015
New revision: 383204
URL: https://svnweb.freebsd.org/changeset/ports/383204

Log:
  - Replace deprecated des_* methods with DES_* counterparts
  - Fix build with LibreSSL

  PR:		198346
  Submitted by:	spil.oss@gmail.com
  Approved by:	buganini@gmail.com (maintainer)
  MFH:		2015Q2

Changes:
  head/security/chntpw/Makefile
  head/security/chntpw/files/
  head/security/chntpw/files/patch-chntpw.c